__author__ = "GDSFactory"
__version__ = "0.7.7"

# patch gf.cell
from functools import wraps

import gdsfactory as gf

gf._cell = gf.cell


@wraps(gf._cell)
def _cell(*args, **kwargs):
    c = gf._cell(*args, **kwargs)
    c.is_gf_cell = True
    return c


gf.cell = _cell


from .core.bbox import bbox as bbox
from .core.check import check as check
from .core.check import get as get
from .core.check import get_download_url as get_download_url
from .core.check import run as run
from .core.check import start as start
from .core.check import status as status
from .core.check import upload_input as upload_input
from .core.communication import send_message as send_message
from .core.netlist import ensure_netlist_order as ensure_netlist_order
from .core.netlist import patch_netlist as patch_netlist
from .core.netlist import (
    patch_netlist_with_connection_info as patch_netlist_with_connection_info,
)
from .core.netlist import (
    patch_netlist_with_hierarchy_info as patch_netlist_with_hierarchy_info,
)
from .core.netlist import patch_netlist_with_icon_info as patch_netlist_with_icon_info
from .core.netlist import (
    patch_netlist_with_placement_info as patch_netlist_with_placement_info,
)
from .core.netlist import patch_netlist_with_port_info as patch_netlist_with_port_info
from .core.netlist import reset_netlist_schematic_info as reset_netlist_schematic_info
from .core.netlist import wrap_component_in_netlist as wrap_component_in_netlist
from .core.pdk import check_cross_section as check_cross_section
from .core.pdk import get_all_pics as get_all_pics
from .core.pdk import get_bad_and_good_pics as get_bad_and_good_pics
from .core.pdk import get_bad_pics as get_bad_pics
from .core.pdk import get_custom_pics as get_custom_pics
from .core.pdk import get_default_params as get_default_params
from .core.pdk import get_good_pics as get_good_pics
from .core.pdk import is_custom_pic as is_custom_pic
from .core.pdk import is_hierarchical_pic as is_hierarchical_pic
from .core.pdk import is_pdk_pic as is_pdk_pic
from .core.pdk import most_common_layers as most_common_layers
from .core.schema import get_base_schema as get_base_schema
from .core.schema import get_netlist_schema as get_netlist_schema
from .core.shared import cli_environment as cli_environment
from .core.shared import get_python_cells as get_python_cells
from .core.shared import get_yaml_cell_name as get_yaml_cell_name
from .core.shared import get_yaml_cells as get_yaml_cells
from .core.shared import get_yaml_paths as get_yaml_paths
from .core.shared import ignore_prints as ignore_prints
from .core.shared import import_pdk as import_pdk
from .core.shared import import_python_modules as import_python_modules
from .core.shared import print_to_file as print_to_file
from .core.shared import register_cells as register_cells
from .core.show import show as show
from .core.watcher import PicsWatcher as PicsWatcher
from .models import Message as Message
from .models import ShowMessage as ShowMessage
from .models import SimulationConfig as SimulationConfig
from .models import SimulationData as SimulationData
from .settings import SETTINGS as SETTINGS
from .simulate import circuit as circuit
from .simulate import circuit_df as circuit_df
from .simulate import circuit_plot as circuit_plot
